Name:           osmose
Version:        0.9.98
Release:        %mkrel 9
Summary:        A Sega Master System/Game Gear emulator
Group:          Emulators
License:        GPLv3+ and LGPLv3+
URL:            http://bcz.asterope.fr
Source0:        https://github.com/lutris/osmose/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)

%description
Osmose is a Sega Master System/Game Gear console emulator.

It features:
- Qt-based GUI.
- OpenGL-based renderer.
- SMS emulation: Good compatibility. At this stage, the emulator can run 96%
  of commercial games and public demos, except games that relies on codemaster
  mapper, which works but does not have proper video mode emulated.
- Game Gear emulation: Good compatibility. At this stage, the emulator can
  run 98.0% of game gear ROMs.

%prep
%setup -q
%autopatch -p1

# Make sure we don't use bundled minizip
rm -rf unzip

%build
%qmake_qt5 CONFIG+=system-minizip PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc LICENSE CREDITS README
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Sun Oct 15 2023 wally <wally> 0.9.98-9.mga10
+ Revision: 1996995
- rebuild for mizip from minizip-ng

* Sun Apr 03 2022 umeabot <umeabot> 0.9.98-8.mga9
+ Revision: 1842321
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 luigiwalser <luigiwalser> 0.9.98-7.mga8
+ Revision: 1671690
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 0.9.98-6.mga8
+ Revision: 1659222
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.9.98-5.mga8
+ Revision: 1524846
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 0.9.98-4.mga7
+ Revision: 1383726
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.98-3.mga7
+ Revision: 1300070
- Mageia 7 Mass Rebuild

* Thu Oct 27 2016 akien <akien> 0.9.98-2.mga6
+ Revision: 1063790
- New upstream tarball with fixed version string

* Thu Oct 27 2016 akien <akien> 0.9.98-1.mga6
+ Revision: 1063779
- Version 0.9.98

* Thu May 19 2016 akien <akien> 0.9.97-1.mga6
+ Revision: 1016955
- Version 0.9.97

* Sun Feb 14 2016 akien <akien> 0.9.96-4.20160214.1.mga6
+ Revision: 960291
- New snapshot with improved packaging

* Sun Feb 14 2016 akien <akien> 0.9.96-3.20160119.1.mga6
+ Revision: 960263
- New upstream snapshot

* Sat Oct 03 2015 akien <akien> 0.9.96-2.20151003.1.mga6
+ Revision: 885855
- Build with Qt5

* Fri Oct 02 2015 akien <akien> 0.9.96-1.20151002.1.mga6
+ Revision: 885803
- imported package osmose

